### Method

# Gtk CssProvider load_from_data

deprecated: 4.12

#### Declaration [src]

    void
    gtk_css_provider_load_from_data (
      GtkCssProvider* css_provider,
      const char* data,
      gssize length
    )

#### Description [src]

Loads `data` into `css_provider`.

This clears any previously loaded information.

Deprecated since: 4.12

Use `gtk_css_provider_load_from_string()` or `gtk_css_provider_load_from_bytes()` instead.

#### Parameters

`data`

  Type: `const char*`

  CSS data to be parsed.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`length`

  Type: `gssize`

  The length of `data` in bytes, or -1 for NUL terminated strings.